Show / Hide Table of Contents

# Struct LuaState

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Common.Lua

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct LuaState

### Fields

| Improve this Doc View Source

#### db_errorfb

##### Declaration

    public delegate*<lua_State*, int> db_errorfb

##### Field Value

Type | Description
--- | ---
delegate*<lua_State*, System.Int32> |

| Improve this Doc View Source

#### GCEnabled

##### Declaration

    public bool GCEnabled

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### LastGCRestart

##### Declaration

    public long LastGCRestart

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### State

##### Declaration

    public lua_State*State

##### Field Value

Type | Description
--- | ---
lua_State* |

### Methods

| Improve this Doc View Source

#### DoString(String, String)

##### Declaration

    public string[] DoString(string code, string name = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | code |
System.String | name |

##### Returns

Type | Description
--- | ---
System.String[] |